<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib prefix="s" uri="/struts-tags" %>
<script type="text/javascript">
    $(document).ready(function() {
        $(".subTypes").each(function() {
            if ($(this).find("input[name='typeId']").val() != 1 && $(this).find("input[name='typeId']").val() != 2) {
                $(this).css("opacity", "0.5");
                $(this).find("a").click(function() {
                    return false;
                });
            }
        })
    })
</script>
<s:iterator value="deviceTypes" var="deviceType">
    <li class="topline subTypes">
        <a href="viewModelsByType.action?typeId=<s:property value="#deviceType.value" />">
            <s:property value="#deviceType.title"/>
            <input type="hidden" name="typeId" value="<s:property value="#deviceType.value" />"/>
        </a>
    </li>
</s:iterator>